%define hal_version 0.5.8.1

%define enable_nautilus_extension 1

%define _requires_exceptions pkgconfig\(.*\)

Summary: Mount replacement which uses HAL to do the mounting 
Name: gnome-mount
Version: 0.8
Release: %mkrel 5
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.freedesktop.org
Source: http://people.freedesktop.org/~david/dist/%{name}-%{version}.tar.gz
Patch0: gnome-mount-0.8-linkage.patch
# (fc) 0.5-2mdv add flush option for vfat
Patch3: gnome-mount-flush.patch
# (fc) 0.6-3mdv allow to unmount device with no media detected (Mdv bug #30157)
Patch5: gnome-mount-0.8-unmount_nomedia.patch
# (fc) 0.8-0mdv mount vfat with noatime (Mdv bug #36051)
Patch6: gnome-mount-noatime.patch
# (fc) 0.8-0.20080225.2mdv fix parsing mount message on non-english locale and ensure they are output correctly when using non-UTF8 locale
Patch7: gnome-mount-0.8-utf8_message.patch
# (fc) 0.8-3mdv respect lock when device is in fstab (GNOME bug #551841)
Patch8: gnome-mount-0.8-fstablock.patch
# (fc) 0.8-3mdv add UTF-8 to vfat mount default options (Mdv bug #36048)
Patch9: gnome-mount-0.8-utf8.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hal >= %hal_version
BuildRequires: hal-devel >= %hal_version
BuildRequires: libnotify-devel >= 0.3.0
BuildRequires: dbus-glib-devel >= 0.60
BuildRequires: libGConf2-devel
BuildRequires: gnome-keyring-devel >= 0.4
BuildRequires: libglade2.0-devel
%if %{enable_nautilus_extension}
BuildRequires: nautilus-devel >= 2.21.2
%endif

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.

%prep
%setup -q
%patch0 -p0
%patch3 -p1 -b .flush
%patch5 -p1 -b .unmount_nomedia
%patch6 -p1 -b .noatime
%patch7 -p1 -b .utf8_message
%patch8 -p1 -b .fstablock
%patch9 -p1 -b .utf8

%build
%configure2_5x --disable-schemas-install \
%if !%{enable_nautilus_extension}
  --disable-nautilus-extension
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%if %{enable_nautilus_extension}
rm -rf $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-?.0/*.{la,a}
%endif

cd %buildroot%_mandir/man1/
ln -s gnome-mount.1 gnome-umount.1
ln -s gnome-mount.1 gnome-eject.1

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome-mount
%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnome-mount.schemas
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%{_datadir}/gnome-mount/gnome-mount-properties.glade
%_libdir/pkgconfig/%name.pc
%if %{enable_nautilus_extension}
%{_libdir}/nautilus/extensions-2.0/*.so
%endif
%{_mandir}/man1/*




%changelog
* Fri Apr 10 2009 Funda Wang <fundawang@mandriva.org> 0.8-5mdv2009.1
+ Revision: 365813
- fix linkage of nautilus ext
- simplify BRs
- rediff unmout_nomedia patch

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Sep 15 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8-4mdv2009.0
+ Revision: 284994
- Patch9: add UTF-8 to vfat mount default options (Mdv bug #36048)

* Mon Sep 15 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8-3mdv2009.0
+ Revision: 284926
- Patch8: respect lock when device is in fstab (GNOME bug #551841)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2009.0
+ Revision: 201948
- new version

* Mon Mar 31 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8-0.20080225.2mdv2008.1
+ Revision: 191224
- Patch7: fix parsing mount messages on non-english locale and ensure they are output correctly when using non-UTF8 locale

* Fri Feb 29 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8-0.20080225.1mdv2008.1
+ Revision: 176826
- SVN snapshot for 0.8 (20080225)
- Remove patches 4 and 6, merged upstream
- Regenerate patch5
- Patch6: mount vfat with noatime (Mdv bug #36051)
- Enable back nautilus extension

* Tue Feb 12 2008 Frederic Crozat <fcrozat@mandriva.com> 0.7-4mdv2008.1
+ Revision: 166140
- Patch6 (Ubuntu): fix crash when two gnome-mount instances are racing (GNOME bug #453361)

* Wed Jan 23 2008 Frederic Crozat <fcrozat@mandriva.com> 0.7-3mdv2008.1
+ Revision: 156994
- Disable nautilus extension, it hasn't been ported to gvfs and crashes nautilus

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.7-2mdv2008.1
+ Revision: 156464
- fix nautilus extensions dir

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.7-1mdv2008.1
+ Revision: 97784
- Release 0.7
- Update patch4, partially merged

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-3mdv2008.0
+ Revision: 84368
- Remove patch2, no longer needed
- Patch5: allow to unmount device with no media detected (Mdv bug #30157)

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2008.0
+ Revision: 32498
- rebuild

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
+ Revision: 13647
- new version
- drop merged patches 5,6
- add man page symlinks for gnome-umount and gnome-eject


* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-6mdv2007.1
+ Revision: 146720
- Patch6 (SVN): allow usage of ntfs-3g instead of ntfs, disabled by default in gconf

* Sun Mar 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-5mdv2007.1
+ Revision: 146037
- Patch5 (SVN): use lowercase filename by default for vfat

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-4mdv2007.1
+ Revision: 145239
- Fix buildrequires
- Patch4: disable nautilus extension debugging, was filling xsession-errors

* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 0.5-3mdv2007.1
+ Revision: 110068
- rebuild, trying to fix bug #28274

* Tue Jan 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-2mdv2007.1
+ Revision: 103349
- Patch3: add "flush" option for vfat volume

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.1
+ Revision: 100347
- fix buildrequires
- Import gnome-mount

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.1
- update deps
- fix URL
- new version

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 0.4-5.20060724.2mdv2007.0
- fix buildrequires

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-5.20060724.1mdv2007.0
- Update to CVS snapshot (add nautilus property page)
- rebuild with latest dbus
- remove patches 0, 1, 3 (merged upstream)

* Wed Jul 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-5mdv2007.0
- Fix typo in preun (Mdv bug #23504)

* Thu Jun 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-4mdv2007.0
- Patch3: add support for default policy

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.4-3mdv2007.0
- update patch 2

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2007.0
- use mount for devices in fstab

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 0.4-1mdk
- sync with 0.4-6 from fedora
- new version

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-0.20060117.2mdk
- Rebuild with dbus 0.60

* Fri Jan 20 2006 Götz Waschk <waschk@mandriva.org> 0.4-0.20060117.1mdk
- update file list
- new version from fedora

* Sun Jan 15 2006 Götz Waschk <waschk@mandriva.org> 0.3-1mdk
- drop patch
- New release 0.3

* Sat Jan 14 2006 Götz Waschk <waschk@mandriva.org> 0.2-3mdk
- more buildrequires

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- fix buildrequires

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-1mdk
- initial package

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.2-1
- initial import

